org.apache.http.osgi.impl

## Class OSGiClientBuilderFactory

- java.lang.Object
- - org.apache.http.osgi.impl.OSGiClientBuilderFactory

- All Implemented Interfaces:
    HttpClientBuilderFactory

  Deprecated.
  (4.5). No longer used.

      @Deprecated
      public final class OSGiClientBuilderFactory
      extends Object
      implements HttpClientBuilderFactory

  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSGiClientBuilderFactory(org.osgi.framework.BundleContext bundleContext, Map<String,org.osgi.framework.ServiceRegistration> registeredConfigurations, List<CloseableHttpClient> trackedHttpClients)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpClientBuilder` | `newBuilder()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OSGiClientBuilderFactory

          public OSGiClientBuilderFactory(org.osgi.framework.BundleContext bundleContext,
                                  Map<String,org.osgi.framework.ServiceRegistration> registeredConfigurations,
                                  List<CloseableHttpClient> trackedHttpClients)

      Deprecated.

  - ### Method Detail

    - #### newBuilder

          public HttpClientBuilder newBuilder()

      Deprecated.
      Specified by:
        `newBuilder` in interface `HttpClientBuilderFactory`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.